.root {
  --heading-font-family: "Roboto Condensed", sans-serif;
  --default-font-family: "Poppins", sans-serif;
  --box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.12);
  --buttons-color: #1f58fe;
}

body {
  background: linear-gradient(
    109.6deg,
    rgb(20, 25, 35) 11.2%,
    rgb(10, 20, 40) 51.2%,
    rgb(0, 0, 0) 98.6%
  );
}

@keyframes marquee {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

.animate-marquee {
  display: flex;
  animation: marquee 30s linear infinite;
}

h1 {
  font-family: var(--default-font-family);
}

h3 {
  font-family: var(--default-font-family);
  font-weight: 500;
  font-size: 16px;
}

p {
  font-family: var(--default-font-family);
  font-weight: 400;
  font-size: 12px;
}

.popular {
  width: 200px;
}

.hero {
  opacity: 0.8;
  color: white;
  padding: 30px;
}

.beta {
  padding-top: 260px;
}

.btn-play {
  box-shadow: var(--box-shadow);
}

.btn-play:hover {
  box-shadow: var(--box-shadow);
}

.btn-trailer {
  box-shadow: var(--box-shadow);
}

.btn-trailer:hover {
  box-shadow: var(--box-shadow);
}

#movie-container {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* IE 10+ */
}
#movie-container::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Opera */
}

/* Smooth scrolling for a better user experience */
#series-container {
  scroll-behavior: smooth;
}

#series-container {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* IE 10+ */
}
#series-container::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Opera */
}

/* Smooth scrolling for a better user experience */
#series-container {
  scroll-behavior: smooth;
}

#meet-the-cast {
  padding-left: 100px;
}

.directors-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 20px;
  justify-items: center;
}

.director-card {
  background: linear-gradient(
    89.7deg,
    rgb(0, 32, 95) 2.8%,
    rgb(132, 53, 142) 97.8%
  );
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
  text-align: center;
  overflow: hidden;
  transition: transform 0.3s ease;
}

.director-card:hover {
  transform: translateY(-10px);
}

.director-image {
  object-fit: cover;
}

.director-card p {
  font-size: 1em;
  color: #bbb;
  padding: 10px;
}

#site-footer {
  background: linear-gradient(
    89.7deg,
    rgb(0, 32, 95) 2.8%,
    rgb(132, 53, 142) 97.8%
  );
}

#site-footer a {
  text-decoration: none;
  font-weight: bold;
  transition: color 0.3s ease;
}

.gallery-container {
  max-width: 1200px;
  margin: 20px auto;
  padding: 10px;
  text-align: center;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 15px;
}

.gallery-item {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  transition: transform 0.3s ease;
}

.gallery-item:hover {
  transform: scale(1.05);
}

.gallery-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  border-radius: 10px;
}

.gallery-item .caption {
  position: absolute;
  bottom: 0;
  background: rgba(0, 0, 0, 0.7);
  color: #ffffff;
  width: 100%;
  padding: 10px;
  text-align: center;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.gallery-item:hover .caption {
  opacity: 1;
}

.posters {
  height: 50px;
}

.popular-shows {
  font-size: 14px;
}

.view {
  font-size: 12px;
  padding-top: 15px;
  line-height: 2;
}

.shows {
  display: flex;
  justify-content: space-between;
  padding-top: 15px;
}

@media (max-width: 540px) {
  #left-button,
  #right-button {
    visibility: hidden;
  }

  #meet-the-cast {
    padding-left: 20px;
  }

  h1,
  h3,
  p {
    text-align: center;
  }

  img {
    display: block;
    margin: 0 auto;
  }

  .hero {
    background-image: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.6)),
      url(https://s3.amazonaws.com/shecodesio-production/uploads/files/000/085/413/original/woman-king-small.jpg?1686626057);
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.8;
  }

  .operation-buttons {
    display: block;
    text-align: center;
  }

  .btn-play {
    margin: 25px;
    margin-top: 10px;
  }

  .btn-trailer {
    padding: 10px 40px;
  }

  .interaction-icons {
    justify-content: center;
  }

  .movies a {
    width: 150px;
    margin: 0 auto;
    display: block;
  }

  .alpha {
    font-size: 8px;
  }

  .loging-info {
    font-size: 9px;
  }

  .interaction-icons {
    padding-left: 25px;
  }
}

@media (max-width: 280px) {
  h1 {
    line-height: 1;
    margin: 20px 0 30px;
    font-size: 30px;
  }

  .alpha-info {
    display: none;
  }

  .interactions {
    padding-right: 25px;
  }
}
